UK Owner Needs to restore unlocked 1.0.2

Welcome to our Community
Wanting to join the rest of our members? Feel free to sign up today.
Sign up

ZeroK66

New Member
Nov 23, 2007
21
0
0
#1
Hi Guys,

Well I have had my phone for a few weeks now... not done anything special... had my phone do a funny on my and lose all its songs, so connected to iTunes and it says it needs to restore.

I read up on here, downloaded 1.0.2 did the Shift-Restore, selected the file and it starts. As soon as it finished unpacking I get the following error message:

Unknown error occurred (-18) and it wont restore :(

don't know what to do, can you help?
 

Stevonw

New Member
Silver
Sep 14, 2007
560
0
0
UK
#2
Hi Guys,

Well I have had my phone for a few weeks now... not done anything special... had my phone do a funny on my and lose all its songs, so connected to iTunes and it says it needs to restore.

I read up on here, downloaded 1.0.2 did the Shift-Restore, selected the file and it starts. As soon as it finished unpacking I get the following error message:

Unknown error occurred (-18) and it wont restore :(

don't know what to do, can you help?

I think this may be the issue that you have SIM unlocked. You MUST virginize the baseband before attempting to upgrade or restore.
 

ZeroK66

New Member
Nov 23, 2007
21
0
0
#3
You are right, I am sim unlocked, using a US phone in the UK... so I must virginise... right, let me get reading up. Thanks... what version firmware should I load on the phone? Should I move to something newer before I sim unlock it again?
 

Stevonw

New Member
Silver
Sep 14, 2007
560
0
0
UK
#4
You are right, I am sim unlocked, using a US phone in the UK... so I must virginise... right, let me get reading up. Thanks... what version firmware should I load on the phone? Should I move to something newer before I sim unlock it again?
Yeah, i'd say head to v1.1.1. Avoid v1.1.2 as it currently cannot be unlocked.

I'm SIM UNLOCKED on v1.1.1 and am loving every minute :D
 

ZeroK66

New Member
Nov 23, 2007
21
0
0
#5
Bugger, I am not on AIM.

Well, I went to virginise and I don't understand the instructions... see below:

How to "Virginize" an unlocked phone before update to 1.1.1



  1. Set Settings → General → Auto Lock → Never
  2. Make sure Modem firmware is 03.14.08_G. Check this in Settings → General → About.
  3. Start Installer and update it if it asks. Tap on Sources, Edit, and Add http://i.unlock.no/ as a repository.
  4. Make sure you have BSD Subsystem installed, if not, go to System category and install it.
  5. Now, install The Virginizer found in the Unlocking Tools category. This will take about 3-5 minutes to complete.
Step 3 onwards is like Chinese to me? How do I "start installer"? Do I need to download something?

Is there an easier way to virginise my phone maybe?

Cheers
 

ZeroK66

New Member
Nov 23, 2007
21
0
0
#6
Right, found out I need to go to jailbreakme.com...

So I did that then I get an error message saying that I have the wrong firmware version and need 1.1.1 - which of course is the reason I am going there... d'oh! I am a regular on various forums, and right now I am being what I find annoying, a dense newbie. If any of you can find the patience to hand hold - would appreciate it.

Thanks,
 

ZeroK66

New Member
Nov 23, 2007
21
0
0
#7
Right, so now I have discovered AppTapp... so I am installing that as we speak. Lets hope that gets me going. I will come back and update progress :)
 

ZeroK66

New Member
Nov 23, 2007
21
0
0
#9

i am on MSN also if that would be easier?
You got PM :)

*Update*

AppTapp worked a treat and installed the installer app onto the iPhone. I virginised it following instructions from http://iPhone.unlock.no/ and my phone is locked again like a virgin.

I ran iTunes, hold shift, click restore, selected 1.1.1 firmware to install and I still get the same error message

An unknown error has occurred (-18)

So I am going to try my Macbook... but that is a whole issue all together. Version on there does not recognize the iPhone, so downloaded 7.5, now it says it is not compatible with my version of MacOS so running an update now... that should complete in the next 2 hours. Once done cross fingers iTunes works on my macbook and I can try do the restore to 1.1.1 from there. If I get the same error message then I may be screwed!


Why is anything IT related always such a PIA? Good thing I am a techie, so it is fun figuring things out... people who are not technically minded, all the best. I will let you know how I get on.

Cheers,
 

Stevonw

New Member
Silver
Sep 14, 2007
560
0
0
UK
#10
I'd advise against iTunes v7.5 if you plan to activate your phone via iNdependence, as it works with older versions of iTunes, just not v7.5.

Strange that you are still getting an error......you could always go back to v1.02 with iBrickr.
 

ZeroK66

New Member
Nov 23, 2007
21
0
0
#11
Got the macbook sorted and iTunes working, but got the same error message. Answer is to get the phone into recovery mode.

So, connect it to the PC/Mac then click and hold both buttons till the iPhone appears to turn off. At this point let go of the power button, but keep holding the main button. iTunes will then detect the iPhone in restore mode. You can then hold shift (win)or alt(mac) and click restore, select your firmware and off it goes.

It is restoring as we speak. With a bit of luck I will be up and running again wtihin the hour.

Thanks for all your help :)
 

ZeroK66

New Member
Nov 23, 2007
21
0
0
#13
All sorted thanks, just mucking about with the various apps I can load up.

Only issue I have (still) is that when a UK contact texts me or calls the name does not appear, just the number... even though they are in my phone book. I enabled the international menu and selected UK, but still does not recognize local numbers :( - I will start a new topic.